// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface ClientHeartbeatResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.ClientHeartbeatResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  boolean hasTimeSent();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getTimeSent();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time_sent = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimeSentOrBuilder();
}
